
def test_queryUser_for_unsecured_cluster(self):
    
    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    user = cl.queryUser(cluster, 'testreaduser')

    self.assertEqual(52, user[0])
    self.assertIsNone(user[1])

def test_queryUsers_for_unsecured_cluster(self):

    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    user = cl.queryUsers(cluster)

    self.assertEqual(52, user[0])
    self.assertEqual([], user[1])

def test_createUser_for_unsecured_cluster(self):

    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.createUser(cluster, 'testreaduser', cl.hashpassword(''))

    self.assertEqual(52, status)

def test_dropUser_for_unsecured_cluster(self):

    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.dropUser(cluster, 'testreaduser')

    self.assertEqual(52, status)

def test_setPassword_for_unsecured_cluster(self):

    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.setPassword(cluster, 'testreaduser', cl.hashpassword(''))

    self.assertEqual(52, status)

def test_changePassword_for_unsecured_cluster(self):
    
    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.changePassword(cluster, 'testreaduser', cl.hashpassword('aerospike'), cl.hashpassword('p@ssword'))

    self.assertEqual(52, status)

def test_grantRoles_for_unsecured_cluster(self):

    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.grantRoles(cluster, 'testreaduser', roles=['read-write'])

    self.assertEqual(52, status)

def test_revokeRoles_for_unsecured_cluster(self):
    
    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.revokeRoles(cluster, 'testreaduser', roles=['read'])

    self.assertEqual(52, status)

def test_replaceRoles_for_unsecured_cluster(self):
    
    cluster = cl.CitrusleafCluster()
    cl.cluster_setHost(cluster, 'localhost', '3000')

    status = cl.replaceRoles(cluster, 'testreaduser', roles=['read'])

    self.assertEqual(52, status)
